package com.sunxung.factoring.entity.underlying;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.acceptance.AcceptanceGoodsInfo;
import com.sunxung.factoring.entity.acceptance.BaseGoods;

import java.math.BigDecimal;

/**
 * 底层货物信息实体类
 *
 * @author liutao
 * @date 2021.10.11
 */
@TableName("underlying_goods_info")
public class UnderlyingGoodsInfo extends BaseGoods {

    /**
     * 底层管理基础信息Id
     */
    @TableField("underlying_basic_info_id")
    private Long underlyingBasicInfoId;

    /**
     * 结算单基础信息表Id
     */
    @TableField("settlement_basic_info_id")
    private Long settlementBasicInfoId;

    /**
     * 结算单货物信息表Id
     */
    @TableField("settlement_goods_info_id")
    private Long settlementGoodsInfoId;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;

    /**
     * 验收单货物信息
     */
    @TableField(exist = false)
    private AcceptanceGoodsInfo acceptanceGoodsInfo;

    public UnderlyingGoodsInfo() {
    }

    public Long getUnderlyingBasicInfoId() {
        return underlyingBasicInfoId;
    }

    public void setUnderlyingBasicInfoId(Long underlyingBasicInfoId) {
        this.underlyingBasicInfoId = underlyingBasicInfoId;
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public Long getSettlementGoodsInfoId() {
        return settlementGoodsInfoId;
    }

    public void setSettlementGoodsInfoId(Long settlementGoodsInfoId) {
        this.settlementGoodsInfoId = settlementGoodsInfoId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public AcceptanceGoodsInfo getAcceptanceGoodsInfo() {
        return acceptanceGoodsInfo;
    }

    public void setAcceptanceGoodsInfo(AcceptanceGoodsInfo acceptanceGoodsInfo) {
        this.acceptanceGoodsInfo = acceptanceGoodsInfo;
    }
}
